var autoRun = true
var RunTime = 3000
var fadeInNum = 200
$j(function () {
    $j(".top a").hover(
		function () {
		    $j(this).find("img").stop().animate({ top: -25 }, 200)
		}, function () {
		    $j(this).find("img").stop().animate({ top: 0 }, 200)
		}
	)
    $j(".menu .webw .navLeft a").each(function (i) {
        var nbgimg = $j(this).find("font").attr("rel")
        var nhtml = $j(this).find("font").html()
        $j(this).width($j(this).find("font").width() + 50)
        $j(this).append("<div class='dv1'></div>")
        $j(this).append("<div class='dv2'><span class='sp1 png' style='background-image:url(" + nbgimg + ");'>" + nhtml + "</span><span class='sp2 png' style='background-image:url(" + nbgimg + ");'>" + nhtml + "</span></div>")
        $j(this).find("font").hide()
    })
    $j(".menu .navLeft a").hover(
		function () {
		    if ($j(this).hasClass("on")) {

		    } else {
		        $j(this).find(".dv1").stop().animate({ top: -80 }, 200)
		        $j(this).find(".dv2").stop().animate({ top: -40 }, 200)
		    }
		}, function () {
		    if ($j(this).hasClass("on")) {

		    } else {
		        $j(this).find(".dv1").stop().animate({ top: 0 }, 200)
		        $j(this).find(".dv2").stop().animate({ top: 0 }, 200)
		    }
		}
	)
    $j("h2").each(function (i) {
        $j(this).width($j(this).parent().width() - 12)
    })
    $j(".list4 .img").hover(
		function () {
		    $j(this).find("img").stop().animate({ left: -18, top: -13, width: 265, height: 190 }, 200)
		}, function () {
		    $j(this).find("img").stop().animate({ left: 0, top: 0, width: 230, height: 165 }, 200)
		}
	)
    $j(".list5 .li").hover(
		function () {
		    $j(this).attr("style", "background:url('newIndex/images3/bg6.jpg') center center no-repeat;")
		}, function () {
		    $j(this).attr("style", "background:none;")
		}
	)

    $j(".list8 .room:even").addClass("bg")

    $j(".list11 li").hover(
		function () {
		    $j(this).addClass("on")
		}, function () {
		    $j(this).removeClass("on")
		}
	)

    //banner
    $j(".listI li").each(function (i) {
        $j(".listT").append("<li><b>" + $j(this).find("img").attr("alt") + "</b><br>" + $j(this).find("img").attr("title") + "</li>")
        $j(".listN").append("<a class='png'></a>")
    })
    $j(".listT li").addClass("ellipsis")
    $j(".listT li").first().addClass("on")
    $j(".listT li").first().attr("style", "top:0")
    $j(".listN a").first().addClass("onhover")
    $j(".lb").hover(
		function () {
		    autoRun = false;
		    clearInterval(lunzhuan);
		}, function () {
		    autoRun = true;
		    autoGoLZ(autoRun, RunTime);
		}
	)
    $j(".listN a").click(function () {
        $j(this).addClass("onhover").siblings("a").removeClass("onhover")
        $j(".listI li").hide()
        $j(".listI li").eq($j(this).index()).fadeIn(fadeInNum)
        $j(".listT li").attr("style", "top:60px;")
        $j(".listT li").eq($j(this).index()).animate({
            top: "0"
        }, fadeInNum)
        $j(".listT li").eq($j(this).index()).addClass("on").siblings().removeClass("on")
        NSN = $j(this).index()
    })
    autoGoLZ(autoRun, RunTime)

    $j(".lmenu li").hover(
		function () {
		    if ($j(this).hasClass("on")) { } else {
		        $j(this).find("img").css("left", -24)
		        $j(this).find("font").css("font-weight", "bold")
		    }
		}, function () {
		    if ($j(this).hasClass("on")) { } else {
		        $j(this).find("img").css("left", 0)
		        $j(this).find("font").css("font-weight", "normal")
		    }
		}
	)

    //login
    $j(".pw1").focus(function () {
        $j(this).hide()
        $j(".pw2").show()
        $j(".pw2").focus()
    })
    $j(".pw2").blur(function () {
        if ($j(this).val() == "") {
            $j(this).hide()
            $j(".pw1").show()
        }
    })

    //	findDimensions();
    //	window.onresize=findDimensions;

    $j(window).scroll(function () {
        $j(".tips .tipsbg").stop().animate({ left: ($j("body").attr("NW") - 340) / 2, top: ($j("body").attr("NH") - 292) / 2 }, 1000)
    })

    $j(".ulist1 span").hover(
		function () {
		    $j(this).find(".wt").show()
		}, function () {
		    $j(this).find(".wt").hide()
		}
	)
})

//banner
function autoGoLZ(autoRun, RunTime) {
    if (autoRun) { lunzhuan = setInterval(function () { changeImg() }, RunTime) }
}
function changeImg() {
    var ImgNum = $j('.listI li').last().index()
    var NSN = $j(".listN").find(".onhover").index()
    if (NSN + 1 > ImgNum) { NSN = 0 } else { NSN = NSN + 1 }
    $j(".listN a").eq(NSN).addClass("onhover").siblings("a").removeClass("onhover")
    $j(".listI").find("li").hide()
    $j(".listI li").eq(NSN).fadeIn(fadeInNum)
    $j(".listT li").attr("style", "top:60px;")
    $j(".listT li").eq(NSN).addClass("on").siblings().removeClass("on")
    $j(".listT").find(".on").animate({ top: "0" }, fadeInNum)
}

//login
function resetColor(o, c) {
    if (c == "0") {
        $j(o).css("color", "#2b2b2b")
    } else {
        $j(o).css("color", "#8B8B8B")
    }
}
 
$ = $j;
/**#########################################################************/
function wit(ty) {
    if (ty=="show") {
        $("#dh_zezhao1").height($(document).height()).show();
        $("#dh_zezhao2").css({ left: $(window).width() / 2 - $("#dh_zezhao2").width() / 2 }).show();
    } else {
        $("#dh_zezhao1").hide();
        $("#dh_zezhao2").hide();
    }
    
}
function postDatas(tp) {
    wit("show");
    var _fftt = "CTB";
    if (tp == "tobean") {//金币兑换为巴豆
        var jb = $("#fbadoutocoin").val();
        _fftt = "CTB";
    }
    if (tp == "tocoin") {//巴豆兑换为金币
        var bd = $("#fjinbitobean").val();
        _fftt = "BTC";
    }
    $j.ajax({
        url: "/api/QT/QT.ashx?cac="+Math.random(),
        data: { type: "duihuan", ft: _fftt, cion: $("#fjinbitobean").val(), bean: $("#fbadoutocoin").val() },
        error: function () { wit("hide"); alert("兑换失败,请刷新后重试"); },
        success: function (msg) {
            wit("hide");
            if (msg == "200" || msg == 200) {
                alert("兑换成功")
                window.location.reload();
            }
            else {
                alert(msg);
            }
        }
    });
}



function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]); return null;
}


$j(document).ready(function () {

    var isautoopen = getQueryString("isauto");
    if (isautoopen=="true") {
        showDH();
    }
    

    $(".cc1box .xdcc5").click(function () { $j(".cc1box").hide(); });

    $j(".tilxxxsrr span").click(function () {
        var seff = $j(this);
        var cm1 = seff.attr("for");
        if (cm1 == "comcn1") {
            $j(".tilxxxsrr span[for='comcn1']").addClass("on");
            $j(".tilxxxsrr span[for='comcn2']").removeClass("on");
            $j(".comcn1").show()
            $j(".comcn2").hide()
        } else {
            $j(".tilxxxsrr span[for='comcn2']").addClass("on");
            $j(".tilxxxsrr span[for='comcn1']").removeClass("on");
            $j(".comcn2").show()
            $j(".comcn1").hide()
        }
    })

    var exFmt = "[{0}]";
    $j.ajax({
        url: "/api/QT/QT.ashx?cac=" + Math.random(),
        data: { type: "cionbean" },
        dataType: "json",
        error: function () {
            $j("#user_get_gold").html(0);
            $j("#user_get_bean").html(0);
            $("#yongyoujinbi").html(0);
            $("#yongyoubadao").html(0);
            $("#lu999292").html(exFmt.replace("{0}", "暂无")).attr("title", "当前经验:无");
        },
        success: function (sx) {
            if (sx == null) {
                return;
            }
            if (sx.error == "") {
                $j("#user_get_gold").html(sx.OBJ.coin);
                $j("#user_get_bean").html(sx.OBJ.bean);

                $("#yongyoujinbi").html(sx.OBJ.coin);
                $("#yongyoubadao").html(sx.OBJ.bean);

                $("#lu999292").html(exFmt.replace("{0}", sx.OBJ.lives.sName)).attr("title", "当前经验:" + sx.OBJ.lives.UEXP);


            } else {
                $j("#user_get_gold").html(0);
                $j("#user_get_bean").html(0);
                $("#yongyoujinbi").html(0);
                $("#yongyoubadao").html(0);

                $("#lu999292").html(exFmt.replace("{0}", "暂无")).attr("title", "当前经验:无");
            }
        }
    })


})


function showDH() {
    var w = $(window).width();
    $(".cc1box").css({ left: (w / 2) - ($(".cc1box").width()/2),top:100 })
    $(".cc1box").show()
}


 

function PlayGame() {
    alert("play");
}
 



/**#########################################################************/
//��¼�������ʾ
//function ErrTips(u,p){
//	if(u){$j(".tipsbg .txt1").addClass("err");$j(".tipsbg .txt1").focus();}
//	if(p){$j(".tipsbg .txt2").addClass("err");$j(".tipsbg .txt2").focus();}
//	$j(".tipsbg .errtips").stop().slideDown(200)
//	setTimeout('$j(".tipsbg .errtips").stop().slideUp(200)',2000)
//}


//function findDimensions(){
//	var winWidth = 0;
//	var winHeight = 0;
//	if(window.innerWidth){
//		winWidth = window.innerWidth;
//		winHeight = window.innerHeight;
//	}else if((document.body) && (document.body.clientWidth)){
//		winWidth = document.body.clientWidth;
//		winHeight = document.body.clientHeight;
//	}
//	if(document.documentElement && document.documentElement.clientHeight && document.documentElement.clientWidth){
//		winWidth = document.documentElement.clientWidth;
//		winHeight = document.documentElement.clientHeight;
//	}
//	$j("body").attr("NW",winWidth)
//	$j("body").attr("NH",winHeight)
//	
//	$j(".tips").css({height:winHeight,width:winWidth})
//	$j(".tips .tipsbg").attr("style","left:"+(winWidth-400)/2+"px; top:"+(winHeight-400)/2+"px;")  //ʵ����ʾ���330px��������10px��Ч��������
//	$j(".tips .tlist").attr("style","width:"+$j(".tips .tlist").attr("rel")+"px;")
//}

//function tipsSH(f){
//	if(f=='s'){
//		$j(".tips").fadeIn(200)
//		$j(".tlist").animate({width:428},{duration:500,easing:"easeOutElastic",complete:setRel(".tlist","s",428)})
//	}else if(f=="h"){
//		$j(".tips").fadeOut(200)
//		$j(".tlist").animate({width:0},{duration:500,easing:"easeOutElastic",complete:setRel(".tlist","h",0)})
//	}
//}
//function setRel(o,f,v){
//	if(f=="s"){
//		$j(o).attr("rel",v)
//	}else{
//		$j(o).removeAttr("rel")
//	}
//}